import preactLogo from '../../assets/preact.svg';
import viteLogo from '/vite.svg'
import { useState } from "preact/hooks";
import { DefaultLayout } from '../../layouts/';
import React from 'preact/compat';

function Home() {
  const [count, setCount] = useState(0)
  const [searchVal, setSearchVal] = useState('');
  const [dropdown, setDropdown] = useState(false);

  const onInput = (e: React.ChangeEvent<HTMLInputElement>): void => {
    const val = e.target as HTMLInputElement;
    setSearchVal(val.value)
  }

  const onSearchSubmit = (e: React.TargetedEvent<HTMLFormElement>): void => {
    e.preventDefault();
    alert(e)
  }

  const onDropdown = (e): void => {
    setDropdown(!dropdown)
    // alert("bruh");
  }

  return (
    <DefaultLayout>
      <header>
          <div className="flex flex-row content">
            <h1 className={`title ${dropdown ? 'title-dropdown' : ""}`}>HilingRiviw</h1>
            <form onSubmit={onSearchSubmit} className={`search-input ${dropdown ? "search-input-dropdown" : ""}`}>
              <label>
                <input
                  type="text"
                  value={searchVal}
                  onInput={onInput}
                  placeholder="Yogyakarta, Pantai Cidaun ..."
                  class="text-input-search"
                />
              </label>
            </form>
            <button onClick={onDropdown} className="dropdown-menu" style={{ backgroundColor: "#4b4b4b", padding: 5, margin: 'auto 0', borderRadius: 10, marginLeft: 'auto' }}>
                <svg xmlns="http://www.w3.org/2000/svg" height="30" fill="white" viewBox="0 -960 960 960" width="30"><path d="M120-240v-80h720v80H120Zm0-200v-80h720v80H120Zm0-200v-80h720v80H120Z" /></svg>
            </button>
        </div>
        <div className="nav-container">
          <a href="#" className="navLink">Best places</a>
          <a href="#" className="navLink">Discover</a>
          <a href="#" className="navLink">Trending Places</a>
          <a href="#" className="navLink">Lists</a>
          <a href="#" className="navLink">Stories</a>
          <a href="#" className="navLink">News</a>
          <a href="#" className="navLink">Forum</a>
        </div>
      </header>
      <div></div>
      <div className="content">
        <div className="flex flex-row">
          <a href="https://vitejs.dev" target="_blank">
            <img src={viteLogo} class="logo" alt="Vite logo" />
          </a>
          <a href="https://preactjs.com" target="_blank">
            <img src={preactLogo} class="logo preact" alt="Preact logo" />
          </a>
        </div>
        <h1>Vite + Preact</h1>
        <div class="card">
          <button onClick={() => setCount((count) => count + 1)}>
            count is {count}
          </button>
          <p>
            Edit <code>src/app.tsx</code> and save to test HMR
          </p>
        </div>
        <p class="read-the-docs">
          Click on the Vite and Preact logos to learn more
        </p>

        <h1 className="text-3xl font-bold underline">
          Hello world!
        </h1>
      </div>
    </DefaultLayout>

  )
}

export default Home;